#include<bits/stdc++.h>
using namespace std;

#define endl "\n"

vector<long long> deli;
bool isDeli[10000005];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    long long n;
    cin>>n;
    for(long long i = 1; i * i <= n; i++){
        if(n % i == 0){
            cout<<i<<" "<<n / i<<" "<<deli.size() << endl;

            if(i == n / i){
                isDeli[i] = true;
                deli.push_back(i);
            }else {
                isDeli[i] = true;
                deli.push_back(i);
                isDeli[n / i] = true;
                deli.push_back(n / i);
            }
            ///cout<<i<<" "<<n / i<<" "<<deli.size() << endl<<endl;
        }
    }
    //cout<<"HI"<<endl;
    sort(deli.begin(), deli.end());
    int ans = 0;
    for(long long f = 0; f < deli.size(); f++){
        for(long long s = f; s < deli.size(); s++){
            if(deli[f] * deli[s] > n) break;
            if(isDeli[deli[f] * deli[s]] && deli[s] <= n/(deli[f] * deli[s])){
                ans ++;
                //cout<<deli[f]<<" "<<deli[s]<<" "<<n / (deli[f] * deli[s])<<endl;
            }
        }
    }
    cout<<ans<<endl;
}

